<app-page-title [heading]="heading" [subheading]="subheading" [icon]="icon">
  <button (click)="newRow()" class="btn btn-primary ml-1">
    <i class="fa fa-plus mr-2"></i>Nuevo
  </button>
  <button class="btn btn-success ml-1" (click)="guardar()" [disabled]="ngForm.invalid">
    <i class="fa fa-save mr-2"></i>Guardar
  </button>
  <button class="btn btn-danger ml-1" [disabled]="!flagEdit" (click)="eliminar()">
    <i class="fas fa-trash-alt mr-2"></i>Eliminar
  </button>
</app-page-title>

<div class="card">
  <div class="card-body">

    <form [formGroup]="ngForm">
      <div class="row">
        <div class="form-group col-2">
          <label class="w-100">Teléfono</label>
          <div class="input-group">
            <input type="tel" pattern="[0-9]*" class="form-control" formControlName="Telefono" maxlength="18"
              [disabled]="flagEdit">
          </div>
        </div>
        <div class="col-4">
          <div class="form-group">
            <label>Descripción</label>
            <input type="text" formControlName="Descripcion" class="form-control" maxlength="30">
          </div>
        </div>
        <div class="form-group col-2">
          <label class="w-100">Costo</label>
          <div class="input-group">
            <input type="tel" pattern="[0-9]*" class="form-control" formControlName="Costo" maxlength="6">
          </div>
        </div>
        <div class="form-group col-2">
          <label class="w-100"></label>
          <input type="checkbox" id="CostoxMinuto" class="k-checkbox mt-2" formControlName="CostoxMinuto">
          <label class="k-checkbox-label w-100 mt-2" for="CostoxMinuto">Por Minuto</label>
        </div>
        <div class="form-group col-2">
          <label class="w-100">Desde</label>
          <div class="input-group">
            <input type="tel" pattern="[0-9]*" class="form-control" formControlName="TarificaDesde" maxlength="2">
          </div>
        </div>
        <div class="col-2">
          <label class="w-100">TL</label>
          <div class="input-group">
            <kendo-combobox [data]="listTipos" [textField]="'Descripcion'" [valueField]="'TL'"
              [placeholder]="'Tipo de Llamada'" class="form-control" formControlName="TL" [valuePrimitive]="true">
            </kendo-combobox>
          </div>
        </div>
        <div class="form-group col-2">
          <label class="w-100">Moneda</label>
          <div class="input-group">
            <kendo-combobox [data]="listMoneda" [textField]="'mdesc'" [valueField]="'Moneda'"
              [placeholder]="'Seleccionar Moneda'" class="form-control" formControlName="Moneda"
              [valuePrimitive]="true"></kendo-combobox>
          </div>
        </div>
        <div class="col-3">
          <label class="w-100">Código</label>
          <div class="input-group">
            <input type="text" class="form-control" formControlName="codigo" disabled="true">
            <div class="input-group-append">
              <button class="btn btn-primary" (click)="openModal(modal)">
                <i class="fas fa-search"></i>
              </button>
            </div>
          </div>
        </div>
      </div>

      <div class="divider"></div>

      <div class="row">
        <div class="col-2">
          <label class="w-100"></label>
          <label class="w-100 mt-1">Administrativa</label>
        </div>
        <div class="col-2">
          <div class="form-group">
            <label class="w-100">Cargo</label>
            <input type="number" min="0" pattern="[0-9]*" max="999999"
            [(ngModel)]="ngForm.value.CargoSinImptos[0]"
              [ngModelOptions]="{standalone: true}" class="form-control">
          </div>
        </div>
        <div class="col-2">
          <div class="form-group">
            <label class="w-100">Tiempo Mínimo</label>
            <input type="number" min="0" [(ngModel)]="ngForm.value.TiempoMinimo[0]" max="999"
              [ngModelOptions]="{standalone: true}" class="form-control">
          </div>
        </div>
        <div class="col-2">
          <div class="form-group">
            <label class="w-100">Excedente</label>
            <input type="number" min="0" [(ngModel)]="ngForm.value.ExcedSinImptos[0]"
              [ngModelOptions]="{standalone: true}" class="form-control" max="999999">
          </div>
        </div>
        <div class="col-2">
          <div class="form-group">
            <label class="w-100">Por minuto</label>
            <label class="form-group col-4">
              <kendo-switch name="ExcedxMinuto[0]" [(ngModel)]="ngForm.value.ExcedxMinuto[0]"
                [ngModelOptions]="{standalone: true}" [onLabel]="'Si'" [offLabel]="'No'">
              </kendo-switch>
            </label>
          </div>
        </div>
      </div>
      <div class="row">
        <div class="col-2">
          <label class="w-100 mt-1">Huésped</label>
        </div>
        <div class="col-2">
          <div class="form-group">
            <input type="number" min="0" pattern="[0-9]*" [(ngModel)]="ngForm.value.CargoSinImptos[1]"
              [ngModelOptions]="{standalone: true}" class="form-control" max="999999">
          </div>
        </div>
        <div class="col-2">
          <div class="form-group">
            <input type="number" min="0" pattern="[0-9]*" [(ngModel)]="ngForm.value.TiempoMinimo[1]"
              [ngModelOptions]="{standalone: true}" class="form-control" max="999">
          </div>
        </div>
        <div class="col-2">
          <div class="form-group">
            <input type="number" min="0" pattern="[0-9]*" [(ngModel)]="ngForm.value.ExcedSinImptos[1]"
              [ngModelOptions]="{standalone: true}" class="form-control" max="999999">
          </div>
        </div>
        <div class="col-2">
          <div class="form-group">
            <label class="form-group col-4">
              <kendo-switch name="ExcedxMinuto[1]" [(ngModel)]="ngForm.value.ExcedxMinuto[1]"
                [ngModelOptions]="{standalone: true}" [onLabel]="'Si'" [offLabel]="'No'">
              </kendo-switch>
            </label>
          </div>
        </div>
      </div>
      <div class="row">
        <div class="col-2">
          <label class="w-100 mt-1">Concesionario</label>
        </div>
        <div class="col-2">
          <div class="form-group">
            <input type="number" min="0" pattern="[0-9]*" [(ngModel)]="ngForm.value.CargoSinImptos[2]"
              [ngModelOptions]="{standalone: true}" class="form-control" max="999999">
          </div>
        </div>
        <div class="col-2">
          <div class="form-group">
            <input type="number" min="0" pattern="[0-9]*" [(ngModel)]="ngForm.value.TiempoMinimo[2]"
              [ngModelOptions]="{standalone: true}" class="form-control" max="999">
          </div>
        </div>
        <div class="col-2">
          <div class="form-group">
            <input type="number" min="0" pattern="[0-9]*" class="form-control" max="999999"
              [(ngModel)]="ngForm.value.ExcedSinImptos[2]" [ngModelOptions]="{standalone: true}">
          </div>
        </div>
        <div class="col-2">
          <div class="form-group">
            <label class="form-group col-4">
              <kendo-switch name="ExcedxMinuto[2]" [(ngModel)]="ngForm.value.ExcedxMinuto[2]"
                [ngModelOptions]="{standalone: true}" [onLabel]="'Si'" [offLabel]="'No'">
              </kendo-switch>
            </label>
          </div>
        </div>
      </div>
      <div class="row">
        <div class="col-2">
          <label class="w-100 mt-1">Personal</label>
        </div>
        <div class="col-2">
          <div class="form-group">
            <input type="number" min="0" pattern="[0-9]*" [(ngModel)]="ngForm.value.CargoSinImptos[3]"
              [ngModelOptions]="{standalone: true}" class="form-control" max="999999">
          </div>
        </div>
        <div class="col-2">
          <div class="form-group">
            <input type="number" min="0" pattern="[0-9]*" [(ngModel)]="ngForm.value.TiempoMinimo[3]"
              [ngModelOptions]="{standalone: true}" class="form-control" max="999">
          </div>
        </div>
        <div class="col-2">
          <div class="form-group">
            <input type="number" min="0" pattern="[0-9]*" [(ngModel)]="ngForm.value.ExcedSinImptos[3]"
              [ngModelOptions]="{standalone: true}" class="form-control" max="999999">
          </div>
        </div>
        <div class="col-2">
          <div class="form-group">
            <label class="form-group col-4">
              <kendo-switch name="ExcedxMinuto[3]" [(ngModel)]="ngForm.value.ExcedxMinuto[3]"
                [ngModelOptions]="{standalone: true}" [onLabel]="'Si'" [offLabel]="'No'">
              </kendo-switch>
            </label>
          </div>
        </div>
      </div>
      <div class="row">
        <div class="col-2">
        </div>
        <div class="col-2">
          <div class="form-group">
            <input type="number" min="0" pattern="[0-9]*" [(ngModel)]="ngForm.value.CargoSinImptos[4]"
              [ngModelOptions]="{standalone: true}" class="form-control" max="999999">
          </div>
        </div>
        <div class="col-2">
          <div class="form-group">
            <input type="number" min="0" pattern="[0-9]*" [(ngModel)]="ngForm.value.TiempoMinimo[4]"
              [ngModelOptions]="{standalone: true}" class="form-control" max="999">
          </div>
        </div>
        <div class="col-2">
          <div class="form-group">
            <input type="number" min="0" pattern="[0-9]*" [(ngModel)]="ngForm.value.ExcedSinImptos[4]"
              [ngModelOptions]="{standalone: true}" class="form-control" max="999999">
          </div>
        </div>
        <div class="col-2">
          <div class="form-group">
            <label class="form-group col-4">
              <kendo-switch name="ExcedxMinuto[4]" [(ngModel)]="ngForm.value.ExcedxMinuto[4]"
                [ngModelOptions]="{standalone: true}" [onLabel]="'Si'" [offLabel]="'No'">
              </kendo-switch>
            </label>
          </div>
        </div>
      </div>
      <div class="row">
        <div class="col-2">
        </div>
        <div class="col-2">
          <div class="form-group">
            <input type="number" min="0" pattern="[0-9]*" [(ngModel)]="ngForm.value.CargoSinImptos[5]"
              [ngModelOptions]="{standalone: true}" class="form-control" max="999999">
          </div>
        </div>
        <div class="col-2">
          <div class="form-group">
            <input type="number" min="0" pattern="[0-9]*" [(ngModel)]="ngForm.value.TiempoMinimo[5]"
              [ngModelOptions]="{standalone: true}" class="form-control" max="999">
          </div>
        </div>
        <div class="col-2">
          <div class="form-group">
            <input type="number" min="0" pattern="[0-9]*" [(ngModel)]="ngForm.value.ExcedSinImptos[5]"
              [ngModelOptions]="{standalone: true}" class="form-control" max="999999">
          </div>
        </div>
        <div class="col-2">
          <div class="form-group">
            <label class="form-group col-4">
              <kendo-switch name="ExcedxMinuto[5]" [(ngModel)]="ngForm.value.ExcedxMinuto[5]"
                [ngModelOptions]="{standalone: true}" [onLabel]="'Si'" [offLabel]="'No'">
              </kendo-switch>
            </label>
          </div>
        </div>
      </div>
    </form>

    <kendo-grid [kendoGridBinding]="dataGrid" [selectable]="true" [filter]="filter" filterable="menu" [navigable]="true"
      [reorderable]="true" [resizable]="true" [sortable]="true" [pageSize]="pageSize" [skip]="skip"
      [pageable]="{buttonCount: 5, pageSizes: [10, 25, 50]}" (selectionChange)="selectRow($event)" style="height: 52vh;"
      *ngIf="!loading">
      <ng-container *ngIf="dataGrid.length !== 0">
        <kendo-grid-column field="Telefono" title="Teléfono" width="120"></kendo-grid-column>
        <kendo-grid-column field="Descripcion" title="Descripción" width="250"></kendo-grid-column>
        <kendo-grid-column field="Desde" title="Desde" width="70">
          <ng-template kendoGridCellTemplate let-dataItem>{{ dataItem.Costo | currency:'MXN' }}
          </ng-template>
        </kendo-grid-column>
        <kendo-grid-column field="codigo" title="Código" width="250"></kendo-grid-column>
        <kendo-grid-column field="Costo" title="Costo" width="70" class="text-right">
          <ng-template kendoGridCellTemplate let-dataItem>{{ dataItem.Costo | currency:'MXN' }}
          </ng-template>
        </kendo-grid-column>
        <kendo-grid-column field="CostoxMinuto" title="Por Minuto" width="70">
          <ng-template kendoGridCellTemplate let-dataItem>
            {{dataItem.CostoxMinuto ? 'Si' : 'No'}}
          </ng-template>
        </kendo-grid-column>
      </ng-container>
      <ng-template kendoGridNoRecordsTemplate>
        {{ noRecords }}
      </ng-template>
    </kendo-grid>
  </div>
  <app-loading *ngIf="loading"></app-loading>
</div>


<ng-template #modal let-modal let-c="close">
  <div class="modal-header">
    <h6 class="modal-title" id="modal-graf">Códigos de Áreas</h6>
    <button class="close" aria-label="Close" (click)="modal.dismiss('Cross click')">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <app-help-telefonos-codigo (telefonosAreaCod)="getDataModal($event); c();">
    </app-help-telefonos-codigo>
  </div>
  <div class="modal-footer">
    <button class="btn btn-secondary" (click)="c('Close click')">Cerrar</button>
  </div>
</ng-template>
